Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::Unknown_IDL_Type Class Reference

CDR-based Any impl class. More...

`#include <Any_Unknown_IDL_Type.h>`

Inheritance diagram for TAO::Unknown_IDL_Type:

[legend]
Collaboration diagram for TAO::Unknown_IDL_Type:

[legend]
List of all members.

## Public Member Functions
| Unknown_IDL_Type (CORBA::TypeCode_ptr, TAO_InputCDR &cdr)
| Unknown_IDL_Type (CORBA::TypeCode_ptr)
virtual | ~Unknown_IDL_Type (void)
virtual CORBA::Boolean | marshal_value (TAO_OutputCDR &)
virtual const void * | value (void) const
virtual void | free_value (void)
virtual TAO_InputCDR & | _tao_get_cdr (void)
virtual int | _tao_byte_order (void) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
virtual CORBA::Boolean | to_object (CORBA::Object_ptr &) const
virtual CORBA::Boolean | to_value (CORBA::ValueBase *&) const
virtual CORBA::Boolean | to_abstract_base (CORBA::AbstractBase_ptr &) const
## Private Attributes
TAO_InputCDR | cdr_

## Detailed Description

CDR-based Any impl class.

Used when demarshaling an Any, and with DII/DSI, and Dynamic Anys.

## Constructor & Destructor Documentation

TAO::Unknown_IDL_Type::Unknown_IDL_Type | ( | CORBA::TypeCode_ptr | ,
|  | TAO_InputCDR & | cdr
| ) |

TAO::Unknown_IDL_Type::Unknown_IDL_Type | ( | CORBA::TypeCode_ptr |  | ) |

TAO::Unknown_IDL_Type::~Unknown_IDL_Type | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO::Unknown_IDL_Type::_tao_byte_order | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

virtual void TAO::Unknown_IDL_Type::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Reimplemented from TAO::Any_Impl.

TAO_InputCDR & TAO::Unknown_IDL_Type::_tao_get_cdr | ( | void |  | ) | `[virtual]`

void TAO::Unknown_IDL_Type::free_value | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO::Any_Impl.

CORBA::Boolean TAO::Unknown_IDL_Type::marshal_value | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Implements TAO::Any_Impl.

CORBA::Boolean TAO::Unknown_IDL_Type::to_abstract_base | ( | CORBA::AbstractBase_ptr & |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

CORBA::Boolean TAO::Unknown_IDL_Type::to_object | ( | CORBA::Object_ptr & |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

CORBA::Boolean TAO::Unknown_IDL_Type::to_value | ( | CORBA::ValueBase *& |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

const void * TAO::Unknown_IDL_Type::value | ( | void |  | ) | const`[virtual]`

| Deprecated: Deprecated by the OMG. This no longer appears in the C++ mapping. It is here only for backward compatibility. It is no longer (as of 5/26/04) used anywhere in TAO. Reimplemented from TAO::Any_Impl.

## Member Data Documentation

TAO_InputCDR TAO::Unknown_IDL_Type::cdr_`[mutable, private]`

The documentation for this class was generated from the following files:

- Any_Unknown_IDL_Type.h
- Any_Unknown_IDL_Type.cpp